## mozc 1.3.975.102

=== third_party/rx/v1_0rc2/Makefile ===
PROF=-pg
CFLAGS=-g -Wall $(PROF) -O2
DIST=rx-1.0rc2

main	: main.o rx.o
	gcc main.o rx.o $(PROF) -o main

main.o	: main.c rx.h

rx.o	: rx.c rx.h

clean	:
	rm -f *.o

dist	:
	rm -rf $(DIST)
	mkdir $(DIST)
	cp -f README Makefile main.c rx.c rx.h $(DIST)
	tar cvzf $(DIST).tar.gz $(DIST)

## mozc 0.11.365.102-0maemo1

=== debian/changelog ===
mozc (0.11.365.102-0maemo1) unstable; urgency=low

  * Ajust to mozc official release number.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue,  1 Jun 2010 13:48:41 +0900

mozc (0.0.1-0maemo1) unstable; urgency=low

  * Initial release 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue,  1 Jun 2010 13:48:41 +0900

=== debian/control ===
Source: mozc
Section: utilities
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev, protobuf-compiler, libqt4-dev, gyp, libdbus-1-dev
Standards-Version: 3.7.2

Package: ibus-mozc
Section: user/utilities
Recommends: ibus-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, mozc-server (= ${Source-Version}), mozc-utils-gui (= ${Source-Version})
Description: IBus engine module for Mozc.

Package: mozc-server
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, libprotobuf3
Description: Server part of the Mozc input method, used by Mozc clients such as ibus-mozc.

Package: mozc-utils-gui
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, mozc-server (= ${Source-Version})
Description: Mozc GUI uitilities, such as the configuration dialog, user dictionary tool and about dialog.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	export CFLAGS="-g -O2"
	export CXXFLAGS="-g -O2"
else
	export CFLAGS="-march=i486 -g -O2"
	export CXXFLAGS="-march=i486 -g -O2"
endif

#export MAEMOCJK_PREFIX=/opt/maemocjk2
#export PKG_CONFIG_PATH=$(MAEMOCJK_PREFIX)/usr/lib/pkgconfig
#export QTDIR=/usr/lib
export PATH=$(CURDIR)/debian:/host_usr/bin:/scratchbox/devkits/git/bin:/scratchbox/devkits/svn/bin:/scratchbox/devkits/doctools/bin:/scratchbox/devkits/qemu/bin:/scratchbox/devkits/debian-etch/bin:/scratchbox/devkits/perl/bin:/scratchbox/tools/bin:/targets/links/arch_tools/bin:/scratchbox/compilers/bin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/sbin:/usr/sbin
#export LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib:/lib:/usr/lib:/usr/local/lib:/usr/X11R6/lib

BUILD_DIR=./out
TARGETS=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py gyp --gypdir=/usr/bin
	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib

	#python build_mozc.py gyp --gypdir=/usr/bin
	#python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
	#python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib

	#python build_mozc.py gyp --gypdir=/usr/bin CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) 
	#python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS)
	#python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS)

	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	python2.5 build_mozc.py clean
	dh_clean 

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	mkdir -p $(CURDIR)/debian/tmp/usr/libexec
	cp -a $(BUILD_DIR)/Release/ibus_mozc $(CURDIR)/debian/tmp/usr/libexec/ibus-engine-mozc
	chmod 755 $(CURDIR)/debian/tmp/usr/libexec/ibus-engine-mozc
	mkdir -p $(CURDIR)/debian/tmp/usr/share/ibus/component/
	#sed 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml
	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml

	mkdir -p $(CURDIR)/debian/tmp/usr/share/ibus/icons/
	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/tmp/usr/share/ibus/icons/

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/mozc
	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/tmp/usr/lib/mozc/
	chmod 755 $(CURDIR)/debian/tmp/usr/lib/mozc/mozc_server

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/mozc
	cp -a $(BUILD_DIR)/Release/mozc_tool $(CURDIR)/debian/tmp/usr/lib/mozc
	chmod 755 $(CURDIR)/debian/tmp/usr/lib/mozc/mozc_tool

	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/hildon
	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/tmp/usr/share/applications/hildon

	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/libexec
	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component
	cp -a $(BUILD_DIR)/Release/ibus_mozc $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
	chmod 755 $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/
	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/

	mkdir -p $(CURDIR)/debian/mozc_server/usr/lib/mozc
	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc_server/usr/lib/mozc/
	chmod 755 $(CURDIR)/debian/mozc_server/usr/lib/mozc/mozc_server

	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
	cp -a $(BUILD_DIR)/Release/mozc_tool $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
	chmod 755 $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc/mozc_tool

	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon

#	dh_install --sourcedir=$(CURDIR)/debian/tmp -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:

# Build architecture dependant packages using the common target.

binary-indep:
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## mozc 0.11.365.102-0maemo2

=== debian/changelog ===
mozc (0.11.365.102-0maemo2) unstable; urgency=low

  * fix wrong mozc_server install path 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue,  1 Jun 2010 13:48:41 +0900

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp 
-
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py gyp --gypdir=/usr/bin
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib
@@ -106,9 +105,9 @@
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/
 	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/
 
-	mkdir -p $(CURDIR)/debian/mozc_server/usr/lib/mozc
-	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc_server/usr/lib/mozc/
-	chmod 755 $(CURDIR)/debian/mozc_server/usr/lib/mozc/mozc_server
+	mkdir -p $(CURDIR)/debian/mozc-server/usr/lib/mozc
+	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc-server/usr/lib/mozc/
+	chmod 755 $(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_server
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
 	cp -a $(BUILD_DIR)/Release/mozc_tool $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc

## mozc 0.11.365.102-0maemo4

=== debian/changelog ===
mozc (0.11.365.102-0maemo4) unstable; urgency=low

  * add mozc.png and fix launch error on mozc_tool shortcut.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  11 Jun 2010 12:53:41 +0900

mozc (0.11.365.102-0maemo3) unstable; urgency=low

  * add mozc.png and fix launch error on mozc_tool shortcut.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue,  1 Jun 2010 13:48:41 +0900

=== debian/control ===
Source: mozc
Section: utilities
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev, protobuf-compiler, libqt4-dev, gyp, libdbus-1-dev
Standards-Version: 3.7.2

Package: ibus-mozc
Section: user/utilities
Recommends: ibus-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, mozc-server (= ${Source-Version}), mozc-utils-gui (= ${Source-Version})
Description: IBus engine module for Mozc.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAQ8klEQVRogd2Ye3RV1Z3HP/ucc1/JTUgIeRGSQIgSEeTliMg7
 gKCs2orFqbaDihU7rXZN7eqsWdPqWFvX6sMpzlinGke01dZHH1Ok6mgtWkFB
 JMpT3iEJeefmcd+Pc87e88e5N7lBErCLv2avtde+yd5n7+/vsX/f328LLnJb
 tux2r3KzUdddU2zTPbGrI3mlaQoRjRDt7qQFCELFnfCgdTHOMy7GJiOamzVu
 l/vxFWvqKSzIRylFNBxh29Y36A8Ys00ToP1h4PjFOO6iC6Bpxuybb10nV6+t
 16RSaAhcBhw4cIKP97QQHBQAdVwkAbSLsUl283q9C8sqJ2rBhE0wIQklbVIW
 1NRUkpOrMsdedrHO+1sEEGNNWrY1s6SshJStsGyFJSFpK6ZcUs24Aj29Sl2g
 AN/ywXp9rBUX5EL119/1PU3TV+7/QNzf22s3gNgMTzacvW7hDRvzLFOOz8/P
 ZyCp0ARIwLQkpWXFFE4wABMQ00Y5SqxY/dWvW9L+eXeHdu/Rw9F7oPAI/MNX
 4LnoZxZg/fr1+kB0wpZLptfcXDvtUlcq+epfrUYpBvq1J2HTarDvgqf7M+v1
 GDeWVZcmTSVcppToQqCUIilgQvEE3O4YLpeBaTID7r4TxDZ4ogegvn5Dhdvv
 f7mqumL2unWrefTRZx4LBVN0tIlp4N0Om66FhuDZGMcyjyifsvilhcsX3Pi1
 b9zhvXzmpdrsq+aKtjMfIzDpD3AZaLcWFM1pWlh/5Ybauque1TTxlbXrb/SU
 VkwUCUuS8XgFFOR5aWnuwJfTy8RJhttMWTdEI3wb5i2ZMXvWtPwiz3Nf3rBu
 8t13f9kzaVIZK+oXcPRYI4MDCSJhUQEshXkvQKM5AuRo6JevvfvJOXOv2LDp
 nju8cVugFPg9GqlUii1P/IZd735EeFBSUeXh819cKy+fO1Pz5BegC42oKUla
 Cl0DTQh0DfI9Gl5DQ9kWx4818fsXttLa1I6ZsqmYVMS/3H8PZeWlWFIihMCt
 C6KhMP907/fZtTNGoEcA/AAaHrgQAcTSVXfIB37yIGUTS4mkJAIQAnJcGl5D
 sGvPIQa6u1l57SI0l4eeqMVA3MaWDnBdCHQBuibQskaPoZHjEngNjaZTLbSc
 ambFtYtQQsOyQcv6Ns+js/mRBl5/bR+NH9AJ2uyMy53XhWpq5uw+cezUTYvr
 r3FZUiDT/mBJJ7JcMrmU2ktrsITO8UCSQNTCTq9RKqMXkXYjx4IgkFKRshUp
 S1FUVMC0S6cQNSFlM+Ibt65x8ngTv/rlK+x5T0kp1U3QcPBsnKMK0Ny071Rx
 Rd1U3e25vK5uqp6w5NABUkHCUiRshS1hIG6RSCcGKm1UpRzfH7oIWT+VEkgg
 aUPMko5y1LCghiZIxWM88K8/ZfeOJPG4+DE89dS5cI7JA0Yqdu9rv9vW19ne
 jcdwgNtSOaNyQEqlqCpwU+o3MG2VtpDCVsPWMm2FKZ2/M6MlFbbMcIXCTHep
 FG4NHn2kgSMHEoSC2m7ggdEwjinAm28+F02ZyS82PPqLuC4tNIZBS+Vo35KK
 vphNxJRYkiHyMjOjHBbKstOgZfbc8GjbihyXxqt/+gv7GptpOqUA+RA0mKNh
 PC8Tv/vmM+/3dHW729q68RgatgI51BX9cZvjgSRdIXOEJm2l0ABN4AiW1r55
 loBDlkhrXwHvbn+Pvh4r41bfHgvfmDQNsGzF7WsmTpmybu2Na9yRpHOI0xxf
 743ZBBM2IBBARb6b2vFuaovcjHdJyvJcVBa6yTE0LAmZu5R9PzKX3lYCIWDW
 3Bns27ODtlaFlKIG5u2FxhPnwnfeVEL4fI99YcOtuSkbUrZCCOdcTSmEEFTk
 GcRNhWlL5lXk0NvVzfMvvsnBPXuV0ERMStvl9+dai1cu11ddt8RT5vdxqj+F
 pUAKhQR04bimrkEoYVMyoYj5SxfQ2rKLk0cVwD3Aq+fENxb45as3ziosKX3/
 ez+6P2cgIZHSAS2EE+xO95t4XYKEqZhd7uEPL27jr//7Ns0n7H2G37qu+fCz
 XQCLVm6o8rh8dwpdu+/Oe+/KmTV7uvZJbxKUGiI6XQg0DQq8Onkeje7uAD/8
 zsO882cJChuMSfBfXWdjHNOFqmvnffPam76wZGLVJC2aksMTCtqDFqf6U0SS
 ivlVPp7f8lv+/MedNL7HweCguGaw9+mBzPLWpv3B0ycb36mqmfHCgcYDXyit
 rMy/pLpU6406wX8o5AKFPh2/R8fry2HPe3uwrTDJpNBsi/lKzSuHuePgygQ0
 BkdYYN68Ta7cQlkbDsmloF1t+Iy5Oe7kzPt+/DB54/KJmxIto30BfVGLg11J
 ZpZ5CbU3s+VHT/LhThulqIeGt0dTysJVGyfm5vgOPPSzh4p6Uy7CSRtDc/bV
 haDEb1Cca2BJxemmM7y29Q1aT7UQCQ2gpJtwGALdKbratVAqpT4SAEtX33Xc
 pVFbXl0VLamekls1pUqUlJdQPGE8BeP8dEUslHKkPT2YQheCCbk6H3ck+Pxl
 eXz/vgf56+tBYlFOQUPtWFYFWH7dVzctXr3yZ5/74g25nWGLcr9BR9ii0KdR
 lKOjCSftiJsSW4KhC0zLYqC3n86OTl7/3VY+buzj6MHMJVb21H/7+WYhdMNv
 2gpLKWwbElLRFrJQaV892pvg9ICJJhy2nJhv0B0IEhqIEHOy9V3nAw+gm9pL
 u9/e8egtt3weQwOXLphc6EITTkRK2JLuiE3ClOiac0c8hoZv/ASuKCvGn+Ph
 2JGnAIebcBm6hm7QOmjSFbHoi9oEkzaRlKSpP8netjhJS+J360Nsm7IVPpdG
 oLePSGgIW/9ooLPbW281BKUtI+FonP6YTdIeZvdAzOJob5Jgwh5BgPGUJJy0
 6Y9L3L4cPF7H+42VKzeNk0IklcLTGTFpbE+gAStrc4mkFLtaY2hCEElJYpaz
 oVICXXOynmTKxLaHEp7xFyIAgEAkU6ZNSa7HqdyUoidi0x020xFJoYRwWF8T
 6OmQa0iFy+XGcDn7aG+91RC0UylP80CKvqiFZSsGEzYHupKc7Eti2g5bdoYt
 Ikk7i1UV4aTEn5eHN3eI0BdeEPoHH9Qs2yoqG++nwGcgFQSiNq0DqRGphZOV
 CnJcgnFejSKfQaFPJxQKAcoGdg4R2WvP/zqaXzHZV1lcrOVNKEa5BXFLUOo3
 6IqYSOGkD7oGUoCOoC1ocvX0UnJzbDQdpM0UuGslPPXWWPiX7midXzNzmuV1
 61gxJwU52Z9CKTV0hq4JyvN0Wk6epq+7m47mM7Kz9Uyqp6NTNy1TeD3GL6Hh
 qwaAbmuTOw41Xt15eP9cDNcCpD3d53blFZSXqVk3b/S0hxzWVEKgUEO1bigp
 6Y1LZiyrp6VpO80nFE7Bv2k+NMRG8x4j1/eT629e5w8mnFS6ecAcurBKKBSC
 PF1w6OND/PaJBjraXCjs31ZWys0qpY69886zg5nNDIDt259uAVqAlzITy5bd
 XtCZat1d0XpmWr63nIG4jdLSSZzm0L8E3m+NseZzqzi5ZzehgQj9ATEDxB9g
 43rYEj4b/Yrr7364pm7anMumVopAzMaUis6wicBRjkpb2mMIjh04womjOh1n
 AFw/PHnkiUNn7zd6QdO8LzFlyixLudz1JZfUuboj9lB1lV18RE2Jz22wZOlV
 dJ/Zi7RNwkFqldJuhrldsPAk7LEXrdxQVTv96udmzZ1968av35YzmHBqhu6w
 RSBmZT0ACHRNUJxr8Orzv+H4IQvLFE3w5P3nwjlmMmfCK92HPto8dfla3Log
 aSvHxGnt6wKkEuxqjbFoci7f/MH3eP33r3LgvZ2EBo2p4UHrJcOVNAuKv57w
 elXuipvWib+/YbHoiUpSto0QgkDMwrRB19RQQpfn02k+1Uw8kiIeEwCbGVHb
 DbcxkzmApdf/4+tVy9auyq+bqx/qSox4acgU35lCvGa8i4XVuXiwaG5uJzQ4
 gGG4KC6ZQHVVGYG44sygSWGOTrnfQAj4sC1GNDX8gmFoUFfs5eX/fJwdr56m
 q0MEILcKNsc/swUAhBX/VtuO1xrnz5iVk+fVCCUkunC0pbIikhSKk30mpwcG
 mZBjUFlQhr9gIgI4k7L58HA4/dQiKPHrlOYaCCBmZooZh1sKvTqxUJCe5hP0
 dLkAPJAoB5rOhe+8BU3zqX2B6skzv5tTUOyaWDmJjrDjrypdE4+4E+lvYqai
 J2LRHrJoD5n0xyWmrYbWeA2NynEOE7UMmum54ay0KN/L6UNHiAyECQWFB9Q8
 qPkVfPIpNzpvSbns2jtvc+UXqaK6mbQMDpemCrIKdzWUYmSIb7hczKqTpaK6
 wEVdsWeoNNVgmLwUhFOSrohkzcaNTL1My7xoL4LCc5aWY1pgyarbLxG6e+v0
 W77mDyoPZ4Kfrq0VDL0ZkfWkkhmznxcBrqzIId+jDa0diFsMxuWIRdGUoig/
 h4LiIqK9R2hvVQBLYc4r8FH3BQlw+fr17lw7/92qFTeW5U2aLD7pSY4IA7lu
 x3gZ8CqrZz9oZdwrsyYQtWkeSDEh18CtCyzpZKOJrDwLIJxSTJs6iUB7C7HB
 Pgb60EEsgmu2wJ6hZ7DRBaha/B/jauqWX7p0lXtfZwIzqyCryHcxu9zLpHwX
 QgiipsOoZ1sjW/vOnREkLEncUrh14bhXMk605RiTyoqwhE405TwKS+nU4FfO
 m0Hz/r/Q0yUwTWGC+iXsHXpqP2cUWrBgvU/ZqW9MX7qSvphNwnKguDRBXYkH
 X7yfXY81IHWDyWtuZkH1FAIxi86wxWDcdvzbVum8SaDjpCEuTTHOq1Pud5Gj
 S47u3sWx7W8QCUfj48vGi8W33uHNLyymddDCTNcggbYz2LaOlMSB6y/obbSt
 7ROraurclmDziTU1c+YZcanj0gWzyzyEDn/Agd//hiMH4oeteNfmWNvxuo7D
 +3S31+eqLCsUtSV+Cnw6kZQcElwpqC5wMaPUgx7upXXPTj7+44vy9L7Dp44d
 3nf70YPbHvL5Cg61HzlSn5eXq9fWVmteQyM31sMbW55h17tWLBGXN8B/7z4b
 62hEpgHGopW3fWd8Sdl359xyl08TsP9/XjCbDrdpJw6HfhoNv/BMWgHG9FnL
 rikorl5vGO5rPG7DPecr39A71Dha05deAPMrfZx+axvd+3fTclonHGy5rz/w
 5nbAAmzAmjT5iqKpl81/vLxm6vQ5i5d43335xfiHu8J/6Ok0n4bn30uvHRFK
 xxQAcF2z/Mu3+XP9jwtNSw0O9D34wY7dr0BrMj3/qX71ki89OPW6L9XnTPs7
 cSyQHNpwyeRcdv7i32n8ywDhkJDwcj0MRtKghrvXKxctWP813TD+ORjuXb5v
 958as+Y/FQZHY2KZ6e+//evn5l71uaOx+EDw6MGdXVlgMwrIdA3QwsHA3kRX
 +8KiGVd5M5u5dAFKIqP9RCMCMNtgMJn17XBLJOydbz/3KPBIGnAmuEnO0cZK
 JazMAR/t2bYXcI0CfESPxgaaY4F26XMNc2SOSyM62E/SdCGlDaSO47iNTZYL
 ZfVz/X8odF6oAOBoQGZ1+xy/LYatYgZ6W44k+nrdXt2RSAE5LkGiP0A0lHHf
 5CdAnLPdZ6SrZP8+p/YvRAAY1pSeAclIv9ez5rTIYCBqI2KamcifV+EjaSlK
 /Donj7UT7LcBYUH8IyDC6BbI9FGBfxYBzhYkmQU4A17LGjWU6t/z7GM+b/HE
 pCYUPWaCUEebf/yEni+dOb31bUZa0GakO50X9N8qwLmEyW5apg8Oti2244VX
 0NVugGZZmgphp0L7P9x6LA0wcyk/E9j/l+3/ACHg8E3elJ+HAAAAAElFTkSu
 QmCC

Package: mozc-server
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, libprotobuf3
Description: Server part of the Mozc input method, used by Mozc clients such as ibus-mozc.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAO
 xQAADsUBR2zs/wAAAAl2cEFnAAAAMAAAADAAzu6MVwAAEBdJREFUaN6tmmt4
 VOW1x39r75lcZpJACCEk4RpQhAAhiEKt1rYqKtZajkofq/bYarWPtR6oeEoR
 USBYlFK1AtIeba2eqm21p9JC1dpaay3euCREBEOIQIAICSHkNre91/mwL9kz
 BK3a/SWzZ953vevyX9c3wqd4Fr/SwtJzhwJQsfrdxa09qbmdCbtQbQVFMRAA
 tG9PYSS0e1Cu+afG74y/9dOc7T3ySTcePJ6MjFu3s7szblmIGA6XHjn1aKv/
 KgKq7hJ3na0SyTa4btKgyrWzhu34JHwYH2t1Ta2jxR/Va9kD73R3JmxFxEBV
 QMCyIWELvZZgQ2FOSAblhoSEDb0pIWkLFoIqKIIh2pNUXbu59Z3SB97ZBFD8
 43f+/Ra4+U/NrL14GINX1e9r7bXKfcFtVZK2zD27hPtnlqn7lQggIqgqIgKg
 qioKGO77qtePyPwNzUpYwBQBUYAB2YZ03D5JJv90F3U3jfv3CHDKmncfa2hP
 XAM42o5ZXFg5kOevqsBWxehjVlXVAYn7nftZAfHevcdSNGSILPjrIe595QMI
 C4gottpD88ONLfMqP1KCjxRg1lONszc2dj3juqTSa6E11Q6nkr49g0EB0ta4
 Qoq6C4NC7mpLyPg17yohA1QFER1XlL26rSd1a+ttEz+hADW1rhMqJGxWzhqm
 c88cTMgQUVVu3HhAH9l2VEwBqyulMycN5MGZ5XJaUXaaQEHLZLyrK4Q48EPf
 ONjDZ3+xWzzOhuaFd7fMqzzl4wtQs01BFFWI2+iy6rR9ngXWvN3GkldbOHI0
 gZlrYtmuFbpTEi3M0peuHsOM8kjQAv1+9izi0Y/cu117k7YTvSxbuKu6X177
 /fLCJxtnv7Cn63eoKilF757iQyIID1Ul4JjMe/EgD2w6DCmFHFNQVdMQrK4U
 lSOj/OWaCkqiYYeOKgQg5PAvafRl4RaIhACVMYXZv4xmGdfV3Tju5AJ84w/7
 +Pve7scajyWuRTGIW6rLqr1DREGXvnqYJS8eEEAvqixk/ZxRhE3xLeL8cZz2
 lX1dzHyyiURXUsk1QZGQKaR6LC0dnC1vfuMUHVYQ9qyQJoBHT+7cCtmGIKLP
 XjGi9PL/2f0Bq874EAvU1KYAk7iFLq3WzDWyvA5ToDQvTHNbDMkyHQFjFjPG
 FugDF5TJ9PIISVsJSRos/L1WV4pQXoiU7eKoJ0VuQZil5w5l/oxiLFsRJ7Mg
 IsgdWyBigg2LzikZX/OF0p0nCDD8wXfpSqb2tsfs4QCrzi/le9OLfYwqyIt7
 uvTip5vQOyYLoN1Jmxs3NvNkXTskbSTbxBCwei2unlYkD15QpkWRkI93WV7H
 z780jG9UDeJ3Ozu4/Jn3oceCaAhAQgaa6koxcWSe3HdeqV48Jh+AhqNxTn14
 FwBZpkjiB5PlBAFc7VuoGsQsTS6tJmSkxXIpWFmv3Ukba+Fk3x+CzgiwoeE4
 X3tuH8e7UxLKMjSVciKY5DiW0kVVkrJVzQzrPL+7Uxb8rUVrmzoJ5YUkZbv+
 1h5Hf3QGOSu2E7ccKK86v6z0thnFLWkCFKzcrsdjFsQstGZqWmRQVVp7LYas
 rAcF+64qRIRZTzfx2KXDGRINeQnNT1gecy81dfK13+/nSHfSiSi2I1BWNMTf
 rx3D9PKInwyDT8pWvvC/jQzLz+Kp2SMcXmpqFUFQ4M4pAm5J8M/mrsjxXgsE
 Zk0qJJBo1P2sj9e1E8oytKo8oiLCjiMxfb6xU0vu3a6yeCs3bGjWeMoGnAzr
 Wee8UXl8MG+CYqPYSnbYAFQtW5nxaIPKDzZrxepdeqgrCaAJyzk7ZIi++vWx
 +tTsER4tJWalVbYAcsvzzTxW265dSVuxFb2zKi3LepZY/tphufPFg6pLq9Oi
 xPV/bOY3O47RFbNwPFQhZXPTZ4pl3cXDFOD0RxvY0tLL6gvLuPn0Ij/aPF7X
 zqo3jlC3twvJDTlJp9eirDhH7p9ZpnPGD8SyFdOFcnvMomhFPYSFEQOyVuy7
 dcJCh8tl21KIGMQtsZZMwfCjop/1/TjtlQOeUjJCJ8+91yHXPrdfOw/HRFdO
 cyy5aAvkmOiiKg9eafRdZUl7zNJZTzfxemOnkG04B/ek6Lx7iuRlmQpw6tpd
 0nA05kTHO6eI4bJmoCrzzx2ahsWgA3sWEREeequV6H3bpfZwDEDsgFm/fEoB
 x2+fKLpymlciiBEJgd1X5P1+VwdNx5Ie3HxfLMwx2XTdWHRZNfU3jZPiaAii
 YclfUe8EAFV+fukwf/3Clw9Vh0avfndJU3scRHTleaUEapZgIeZpDFV4rbmb
 nmNJrX6kwSupCeWaPH/VaM4ble9hVgDtSljYtkLc9q03+9EGKAgrtkJKGV2S
 q3/86iiZMDjHV1plcY4enlfpOG7C8oPC2cOjXvpn7ebWh0MtXclb3HrD07D2
 V7ME4fTUV0bo07NH4gSAbn78RivPbm3j/Cf2OLpxyg9VVS777V4AllxU7mtC
 75sGwJP17ax+u41NTZ1UrtvlEE8p66+u0C+NzefXOzpAhLFlEV8wdUIUZJkc
 67GmG70pexAoWCq2a/JghejhP6OaFM+MnymPyDOXjxStmcpvrxjFtLKIELM8
 OvLX+nYhYTP3zMEiTo0pLhzkqsqB/PO6seiSaln2+aFSUehUsS/u6RQRkbl/
 PgiqsuCsIeIqEQHBUv/8EDZOfE6pV6GdoH0PP3LHFhB46CsjuWVakR9qPaau
 GD+AK8YPcPc6ZImGIKUUZJsAGIu3gq2suGQ43z+r2IfoorNL5I7PDvHzTtJS
 /aA1BqDXTxkkfUiA8iG5HOhMgqAGTncqRjQUZNyT2NO880OWIYQN+e4LB5Dl
 dSI1tSKLtsqlv25C0h0G/y1ps+GaCv+3SycVgiAL/nwAqal1aCzcIov+1kLc
 6kNA2BQhqTJnapG3VzzFOOW5uiuXOXX/4Igph+dN8HvYYKwPtIm6tyPB5c/s
 lc27j0M05HEqJJ1YdOtZQ+TBmWU+9mxbMYwTMrTu7UjIZb99X2v3dEIkJG5I
 0kvHD2T9nFFp443MSvWGDc08urUNEELeOg9jAdgQDJ2eE40ckMXb1/c1SPuP
 J1jzdhv3/uUQZBv85K1WfvLWEbCB3hTXTC/mictGpNEREUYUhNl2w6k+naZj
 CdZtbmP2aQVkPpn8GH0GQViyzcYALNC7qtIZX7AZ8sNg2RRGwzJn/ABdN2uY
 59QaFMw7COCH/zzMwhcOCDZKjot9AbszyYVVg7jvi0OZPCTX39dXuaQ3NIHf
 0uhf8nQTGxuPO00PS7cpghKzxF5WnTYGmfJIg9bt74awAeISTSmji7Nl7pnF
 eusZg4M+EzS3f+i3NjTzyKbDStgQt2F3pnY9KZl/fpl+78zBlOaH05jO+Jwp
 kIxbt4uGo3HHDVi6TTFQErbYd09JEyBYOry6r4sfvd6q6+vbIWwIhusrSVuw
 lSUXlOnic0o862TC0Zdq/kuHWPXaB4qlQrapeJOK7iSTR+dr7bdO7cNHny8S
 VJCxaKvTatqKRFbUNfQkdQy2ii6uyhyNpHVkIkLKVkKGcCxm8fX1+/nDex2+
 gvyQmrSZf04Jyz9fQpZpBLWRplQR9O97u+SLv9qD1ZOCHJO8bJPO2yee0Gd4
 QtiqYi6phbCBKSDj1u58ZNfR+Ddxmg0f35nO6xVwQZOmbCV8T50nHcTdijRk
 OGtsp5VbPauc70zrg5tHJ8hgLGXLE9vb9eqJhUTCRr8VsbdHltWCIVIcCb3v
 rKipVRQeuqiM75xedNK5TdDJdrfHOWXtLsdClk1s4WQ1DSFkiBzqSnLls/t4
 ranTWR0SD0sAzByTry9cVZGG60z6Adh4llOAnW1xmbDOaS/Pryi4yBFg6TbF
 ECVmkVoyxa+/Tza3kYVbRKIhNQ2YM34gv/rKiLTw64cUV4sJS/nZ1jbmvXiQ
 lKWYpjhVaMqGmMXpYwt46eoKBuaYJCwlKzDlyICQq30wELEXVTnltNMlASHB
 dKdumWNDzxfkrq0QMVFbuWFKEU9cNvyEQzLDXpYp3Hx6EcmFk2m85TS5Zdpg
 SNgOxbwwm1t6KbyvXmThFm7a2Ow7X79P0ik6Kwqz1vtM3bhh3xk/23L0TQTu
 Pmcod32uRGVZrRiGKAK2c5jTpFvKjy8ok3nTi9M8MqAxyXTa4Dg0acMNG/br
 418e4UPoBy+3sOKVFidC5IYgbok70kmjbyzfDuIWlYumBG8aYNCq+teP9lpn
 krCkcW4l6xs6mLfxgHM1ETZcaLhnJm2GFmbzt2vHMK4oG8tWDEkv7DKzp2eh
 zzzWyBsHe6AnhS6fGugz0tfaqv5cyJeiplYRkQHZBh23T0oXwHVmG1Wwlfgd
 VWSZQlfC5lsbmnl6a5ugfmbti0gpm6qyCH+9poJBuaGgz5wQbXwcL9yMRMO8
 ++1xjB2U5d2y9DuZ854Zv9jNGwe6AeSrEwb+x68vH/V/6QLc9iZ5Q3Kd5h7Y
 fP0pTB2a2+/s8v43j8gDb7TqvpZed8LmolaBmAW5IR66sEyuHD9AS6JhkpZi
 Gn71IiKo6YbfxWeXcNfnSk4o2DLdQJbXOd+r+iOVEy0AToMPJjbo4qqgRvtL
 LP77/JcOcf+bR9TuSYkRCWErTtlgu45nwLdnDOG26YMZOyibf+zv5pzHG/Hy

=== debian/rules ===
--- 
+++ 
@@ -102,8 +102,9 @@
 	cp -a $(BUILD_DIR)/Release/ibus_mozc $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
 	chmod 755 $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
 	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
-	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/
-	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus/icons/
+	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc
+	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
+	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico
 
 	mkdir -p $(CURDIR)/debian/mozc-server/usr/lib/mozc
 	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc-server/usr/lib/mozc/
@@ -115,6 +116,9 @@
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
 	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/mozc-utils-gui/usr/share/applications/hildon
+
+	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor
+	cp -ra $(CURDIR)/debian/icons/* $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor/
 
 #	dh_install --sourcedir=$(CURDIR)/debian/tmp -s

## mozc 0.11.383.102-0maemo1

=== debian/changelog ===
mozc (0.11.383.102-0maemo1) unstable; urgency=low

  * version bumped. add scim-mozc package.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  18 Jun 2010 13:43:41 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utilities
 Priority: optional
 Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev, protobuf-compiler, libqt4-dev, gyp, libdbus-1-dev
+Build-Depends: debhelper (>= 5), autotools-dev, dpkg-dev, dpatch, pkg-config, python2.5, ibus, ibus-dev, libcurl4-openssl-dev, libssl-dev, zlib1g-dev, gtest, gtest-dev, libglib2.0-dev, libprotobuf-dev, protobuf-compiler, libqt4-dev, gyp, libdbus-1-dev, scim, libscim-dev
 Standards-Version: 3.7.2
 
 Package: ibus-mozc

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,12 @@
 #DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-
 ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
-	export CFLAGS="-g -O2"
-	export CXXFLAGS="-g -O2"
+	export CFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
+	export CXXFLAGS="-g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
 else
-	export CFLAGS="-march=i486 -g -O2"
-	export CXXFLAGS="-march=i486 -g -O2"
+	export CFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
+	export CXXFLAGS="-march=i486 -g -O2 -I/opt/maemocjk/usr/include/scim-1.0"
 endif
 
 #export MAEMOCJK_PREFIX=/opt/maemocjk2
@@ -35,7 +34,9 @@
 #export LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib:/lib:/usr/lib:/usr/local/lib:/usr/X11R6/lib
 
 BUILD_DIR=./out
-TARGETS=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+#TARGETS=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+TARGETS=unix/ibus/ibus.gyp:ibus_mozc unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+
 
 configure: configure-stamp
 configure-stamp:
@@ -97,6 +98,8 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/hildon
 	cp -a $(CURDIR)/debian/mozc_tool.desktop $(CURDIR)/debian/tmp/usr/share/applications/hildon
 
+	## ibus-mozc
+
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/libexec
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component
 	cp -a $(BUILD_DIR)/Release/ibus_mozc $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
@@ -106,9 +109,13 @@
 	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
 	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico
 
+	## mozc-server
+
 	mkdir -p $(CURDIR)/debian/mozc-server/usr/lib/mozc
 	cp -a $(BUILD_DIR)/Release/mozc_server $(CURDIR)/debian/mozc-server/usr/lib/mozc/
 	chmod 755 $(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_server
+
+	## mozc-utils-gui
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
 	cp -a $(BUILD_DIR)/Release/mozc_tool $(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc
@@ -119,6 +126,18 @@
 
 	mkdir -p $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor
 	cp -ra $(CURDIR)/debian/icons/* $(CURDIR)/debian/mozc-utils-gui/usr/share/icons/hicolor/
+
+	### scim-mozc
+
+	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine
+	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI
+
+	cp -a $(BUILD_DIR)/Release/obj.target/unix/scim/libscim_mozc.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine/mozc.so
+	cp -a $(BUILD_DIR)/Release/obj.target/unix/scim/libscim_mozc_setup.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI/mozc-setup.so
+
+	mkdir -p  $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons
+	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/scim-mozc.png
+	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/scim-mozc-tool.png
 
 #	dh_install --sourcedir=$(CURDIR)/debian/tmp -s

## mozc 0.12.402.102-0maemo1

=== debian/changelog ===
mozc (0.12.402.102-0maemo1) unstable; urgency=low

  * update to 0.12.402.102
  * changed mozc icons and add scim-mozc icons. 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  2 Jul 2010 14:40:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+PKG_CONFIG_PATH=/opt/maemocjk/usr/lib/pkgconfig
+
 #DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
@@ -33,10 +35,11 @@
 export PATH=$(CURDIR)/debian:/host_usr/bin:/scratchbox/devkits/git/bin:/scratchbox/devkits/svn/bin:/scratchbox/devkits/doctools/bin:/scratchbox/devkits/qemu/bin:/scratchbox/devkits/debian-etch/bin:/scratchbox/devkits/perl/bin:/scratchbox/tools/bin:/targets/links/arch_tools/bin:/scratchbox/compilers/bin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/sbin:/usr/sbin
 #export LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib:/lib:/usr/lib:/usr/local/lib:/usr/X11R6/lib
 
-BUILD_DIR=./out
+BUILD_DIR=./out_linux
 #TARGETS=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
-TARGETS=unix/ibus/ibus.gyp:ibus_mozc unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
-
+#TARGETS=unix/ibus/ibus.gyp:ibus_mozc unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+TARGETS1=unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool
+TARGETS2=unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup
 
 configure: configure-stamp
 configure-stamp:
@@ -50,7 +53,9 @@
 build-arch-stamp: configure-stamp 
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py gyp --gypdir=/usr/bin
 	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
-	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib
+	#CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS) -c Release -j 2 --qtdir=/usr/lib
+	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS1) -c Release -j 2 --qtdir=/usr/lib
+	PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) python build_mozc.py build $(TARGETS2) -c Release -j 2 --qtdir=/usr/lib
 
 	#python build_mozc.py gyp --gypdir=/usr/bin
 	#python build_mozc.py build_tools -c Release -j 2 --qtdir=/usr/lib
@@ -82,7 +87,8 @@
 	chmod 755 $(CURDIR)/debian/tmp/usr/libexec/ibus-engine-mozc
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/ibus/component/
 	#sed 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml
-	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml
+#	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml
+	cp -a $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml $(CURDIR)/debian/tmp/usr/share/ibus/component/mozc.xml
 
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/ibus/icons/
 	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/tmp/usr/share/ibus/icons/
@@ -104,7 +110,8 @@
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component
 	cp -a $(BUILD_DIR)/Release/ibus_mozc $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
 	chmod 755 $(CURDIR)/debian/ibus-mozc/usr/libexec/ibus-engine-mozc
-	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
+#	sed 's|/usr/lib/ibus-mozc/ibus-engine-mozc|/usr/libexec/ibus-engine-mozc|' < unix/ibus/mozc.xml > $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
+	cp -a $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	mkdir -p $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc
 	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
 	cp -a $(CURDIR)/debian/mozc_tool.png $(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico
@@ -129,11 +136,15 @@
 
 	### scim-mozc
 
+	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons
 	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine
 	mkdir -p $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI
 
-	cp -a $(BUILD_DIR)/Release/obj.target/unix/scim/libscim_mozc.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine/mozc.so
-	cp -a $(BUILD_DIR)/Release/obj.target/unix/scim/libscim_mozc_setup.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI/mozc-setup.so
+	cp -a $(CURDIR)/debian/scim-mozc-property.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/
+	cp -a $(CURDIR)/debian/scim-mozc-dictionary.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/
+
+	cp -a $(BUILD_DIR)/Release/lib.target/libscim_mozc.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/IMEngine/mozc.so
+	cp -a $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/lib/scim-1.0/1.4.0/SetupUI/mozc-setup.so
 
 	mkdir -p  $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons
 	cp -a $(CURDIR)/debian/mozc.png $(CURDIR)/debian/scim-mozc/opt/maemocjk/usr/share/scim/icons/scim-mozc.png
@@ -153,31 +164,3 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate	
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
-	dh_link
-	dh_strip
-	dh_compress 
-	dh_fixperms
-#	dh_perl
-#	dh_python
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	maemo-optify
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## mozc 0.12.410.102

=== debian/changelog ===
mozc (0.12.410.102-2) unstable; urgency=low

  * Update debian/rules and debian/control.
    - Set 1 to run jobs.
  * Add support uim-mozc (Closes: #588975).
  * Change new mozc images.
  * Update patch of kFreeBSD (Closes: #589274).
  * Add debian/uim-mozc.lintian-overrides.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 24 Jul 2010 05:40:10 +0900

mozc (0.12.410.102-1) unstable; urgency=low

  * New upstream release (Closes: #588971).
    - Add mozc-server, mozc-utils-gui and scim-mozc packages.
  * Update debian/rules.
    Add --gypdir option to build_mozc.py.
  * Update debian/control.
    - Bumped standards-version to 3.9.0.
    - Update description.
  * Add mozc icon (Closes: #588972).
  * Add patch which revises issue 18.
    ibus_mozc_issue18.patch
  * kFreeBSD build support.
    support_kfreebsd.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 14 Jul 2010 03:26:47 +0900

mozc (0.11~svn13-1) unstable; urgency=low

  * Initial release (Closes: #581158)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 12 May 2010 05:34:49 +0900

=== debian/control ===
Source: mozc
Section: utils
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
	libibus-dev (>= 1.2), libcurl4-openssl-dev, pkg-config, 
	python-dev, gyp (>=0.1~svn824), protobuf-compiler, libgtest-dev,
	libprotobuf-dev, libqt4-dev, libscim-dev, libuim-dev
Standards-Version: 3.9.0
Homepage: http://code.google.com/p/mozc/

Package: ibus-mozc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ibus (>= 1.2),
	mozc-server (= ${binary:Version}), mozc-utils-gui (= ${binary:Version})
Description: Mozc engine for IBus - Client of the Mozc input method
 IBus is an Intelligent Input Bus. It is a new input framework for Linux OS. 
 It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 ibus-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: scim-mozc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-server (= ${binary:Version})
Description: Mozc engine for SCIM - Client of the Mozc input method
 Smart Common Input Method (SCIM) is an input method (IM) platform.
 Input methods are needed to enter complex characters in many non-latin
 languages. SCIM provides a common platform for various plugin modules and
 independent IM programs, as well as a set of modules and programs on its own.
 It is highly modularized and exposes abstract interfaces, so that plugin
 modules with different functions can easily communicate with each other.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform
 such as Chromium OS, Windows, Mac and Linux.
 .
 scim-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: uim-mozc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim, mozc-server (= ${binary:Version})
Description: Mozc engine for uim - Client of the Mozc input method
 uim is a input method module library supporting various languages, which
 become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
 Pinyin(Chinese input method), Hangul(Korean input method), 
 IPA(International Phonetic Alphabet) and etc....
 Most of the functions are implemented with Scheme, so it's very simple
 and flexible. 
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform
 such as Chromium OS, Windows, Mac and Linux.
 .
 scim-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Server of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-utils-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
Description: GUI uitilities of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides GUI uitilities of the Mozc input method.
 This uses GUI and can set ibus-mozc and the user's dictionary. 
 .
 This open-source project originates from Google Japanese Input.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
BUILD_DIR=./out_linux
TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
	unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
	unix/uim/uim.gyp:uim-mozc \
	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool

# for architecture dependent variables and changelog vars
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
SCIM_MODDIR=`pkg-config --variable=moduledir scim`

%:
	dh --with quilt $@ 

override_dh_auto_configure:
	python build_mozc.py gyp --gypdir=/usr/bin

override_dh_auto_build:
	python build_mozc.py build_tools -c Release --jobs=1
	python build_mozc.py build $(TARGETS) -c Release --jobs=1

override_dh_auto_clean:
	python build_mozc.py clean
	rm -rf build_tools/__init__.pyc 
	rm -rf build_tools/mozc_version.pyc
	rm -rf third_party/rx/rx.Makefile

override_dh_auto_install:

	# ibus-mozc
	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/
	sed -e 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' \
		-e 's|0\.0\.0\.0|$(SOURCE_VERSION)|g' < $(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
	install -D -m 0644 $(CURDIR)/debian/images/mozc_icon.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/product_icon.png
	install -D -m 0644 $(CURDIR)/debian/images/mozc_tool.png \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus-mozc/unknown.ico

	# scim-mozc
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
	install -D -m 0644 $(CURDIR)/debian/images/mozc_icon.png \
		$(CURDIR)/debian/scim-mozc/usr/share/scim/icons/scim-mozc.png
	install -D -m 0644 $(CURDIR)/debian/images/mozc_tool.png \
		$(CURDIR)/debian/scim-mozc/usr/share/scim/icons/scim-mozc-tool.png
	install -D -m 0644 $(CURDIR)/debian/images/mozc_dic.png \
		$(CURDIR)/debian/scim-mozc/usr/share/scim/icons/scim-mozc-dictionary.png
	install -D -m 0644 $(CURDIR)/debian/images/mozc_setup.png \
		$(CURDIR)/debian/scim-mozc/usr/share/scim/icons/scim-mozc-property.png

	# uim-mozc
	install -D -m 0755  $(BUILD_DIR)/Release/libuim-mozc.so \
		$(CURDIR)/debian/uim-mozc/usr/lib/uim/plugin/libuim-mozc.so
	install -d $(CURDIR)/debian/uim-mozc/usr/share/uim
	# mozc-custom.scm, mozc-key-custom.scm, mozc.scm
	install -m 644 $(CURDIR)/unix/uim/scm/* $(CURDIR)/debian/uim-mozc/usr/share/uim/
	install -D -m 0644 $(CURDIR)/debian/images/mozc_icon.png \
		$(CURDIR)/debian/uim-mozc/usr/share/uim/pixmaps/mozc.png

	# mozc-server
	install -D -m 0755 $(BUILD_DIR)/Release/mozc_server \
		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_server

	# mozc-tool
	install -D -m 0755 $(BUILD_DIR)/Release/mozc_tool \
		$(CURDIR)/debian/mozc-utils-gui/usr/lib/mozc/mozc_tool
